Package org.springframework.security.web.authentication

# Class HttpMessageConverterAuthenticationSuccessHandler.AuthenticationSuccess

java.lang.Object
org.springframework.security.web.authentication.HttpMessageConverterAuthenticationSuccessHandler.AuthenticationSuccess

Enclosing class:
  HttpMessageConverterAuthenticationSuccessHandler

public static final class HttpMessageConverterAuthenticationSuccessHandler.AuthenticationSuccess extends Object
A response object used to write the JSON response for successful authentication. NOTE: We should be careful about writing `Authentication` or `Authentication.getPrincipal()` to the response since it contains credentials.

## Method Summary

Modifier and Type
Method
Description
`String`
`getRedirectUrl()`
`boolean`
`isAuthenticated()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getRedirectUrl

public String getRedirectUrl()

### isAuthenticated

public boolean isAuthenticated()